কিউআর কোডস
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| প্যারামিটারসমূহ | বিস্তারিত | বর্ণনা |
|---|---|---|
| search | ঐচ্ছিক স্ট্রিং | অনুসন্ধান স্ট্রিং। |
| search_by | ঐচ্ছিক স্ট্রিং | আপনি কোন ক্ষেত্র দ্বারা অনুসন্ধান করছেন। অনুমোদিত মানগুলি হল: name। |
| project_id | ঐচ্ছিক পূর্ণসংখ্যা | |
| type | ঐচ্ছিক স্ট্রিং | আপনি কোন ক্ষেত্র দ্বারা অনুসন্ধান করছেন। অনুমোদিত মানগুলি হল: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, vietqr, upi, epc, pix। |
| datetime_field | ঐচ্ছিক স্ট্রিং | অনুমোদিত মান: datetime, last_datetime |
| datetime_start | ঐচ্ছিক স্ট্রিং | এই তারিখ এবং সময় থেকে ফলাফল ফিল্টার করুন। ফরম্যাট Y-m-d H:i:s। |
| datetime_end | ঐচ্ছিক স্ট্রিং | এই তারিখ এবং সময় পর্যন্ত ফলাফল ফিল্টার করুন। ফরম্যাট Y-m-d H:i:s। |
| order_by | ঐচ্ছিক স্ট্রিং | ফলাফলগুলি কোন ক্ষেত্র দ্বারা অর্ডার করতে হবে। অনুমোদিত মানগুলি হল: qr_code_id, datetime, last_datetime, name, type. |
| order_type | ঐচ্ছিক স্ট্রিং | ফলাফলের ক্রম। অনুমোদিত মানগুলি হল: ASC উর্ধ্বমুখী ক্রমের জন্য, এবং DESC অবনমিত ক্রমের জন্য। |
| page | ঐচ্ছিক পূর্ণসংখ্যা | আপনি যে পৃষ্ঠা নম্বর থেকে ফলাফল চান। ডিফল্ট 1। |
| results_per_page | ঐচ্ছিক পূর্ণসংখ্যা | আপনি প্রতি পৃষ্ঠায় কতটি ফলাফল চান। অনুমোদিত মানগুলি হল: 10, 25, 50, 100, 250, 500, 1000। ডিফল্ট হল 25। |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
POST https://tistos.com/api/qr-codes
| প্যারামিটারসমূহ | বিস্তারিত | বর্ণনা |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \